Bug 1333165 - after creating from a template in console, no idea what values generated parameters got
Summary: after creating from a template in console, no idea what values generated para...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 3.2.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: ---
Assignee: Jakub Hadvig
QA Contact: Yadan Pei
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-05-04 20:02 UTC by Jessica Forrester
Modified: 2017-03-08 18:26 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-09-27 09:32:12 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2016:1933 normal SHIPPED_LIVE Red Hat OpenShift Container Platform 3.3 Release Advisory 2016-09-27 13:24:36 UTC

Description Jessica Forrester 2016-05-04 20:02:50 UTC
If i create from a template in the console, we never show you what values the generated parameters actually had, a lot of times these include auto-generated user names and passwords for the DBs.  The Next steps page probably needs to tell you what the values were with a heads up that they may want to make a note of the values for later.

Comment 1 Vu Dinh 2016-05-05 13:39:07 UTC
Hi,

The username and password for DBs are listed under environment section when you click on the deployment of the DBs. Those values will always be there so there is no need to make a note or anything. However, we can better document where the values are, that would be help.

Thanks,
Vu

Comment 2 Jessica Forrester 2016-05-05 13:56:38 UTC
This is not necessarily true, the parameters can affect anything in the template, not just environment variables.  We are also inconsistent with the CLI here, the CLI tells you what any generated parameters were set to.

Comment 3 openshift-github-bot 2016-06-27 21:05:55 UTC
Commit pushed to master at https://github.com/openshift/origin-web-console

https://github.com/openshift/origin-web-console/commit/5dab3ef2434012cc11a73c67357ebeebe03bb3bc
Bug 1333165 - after creating from a template in console, no idea what values generated parameters got

Comment 4 Yadan Pei 2016-07-22 08:48:11 UTC
This is now fixed in OCP3.3 v3.3.0.7

After creating app from template, "Applied Parameter Values" on next step page will show all parameters and telling which parameters are generated automatically.

Comment 5 Yadan Pei 2016-07-22 08:50:17 UTC
May I verify this against OCP 3.3 ? I saw this is opened against OCP 3.2

Comment 6 Jessica Forrester 2016-07-22 13:42:42 UTC
Yes, we are not going to backport the fix for this.  I'll set the target release to 3.3

Comment 7 Yadan Pei 2016-07-25 01:14:08 UTC
Thanks, move to VERIFIED

Comment 9 errata-xmlrpc 2016-09-27 09:32:12 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2016:1933


Note You need to log in before you can comment on or make changes to this bug.